feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Backend.C.Plugin.VariableRoleAssigner

# Documentation

data VariableRoleAssigner

Constructors

VariableRoleAssigner |

Instances

Transformation VariableRoleAssigner |
Plugin VariableRoleAssigner |
Transformable VariableRoleAssigner Variable |
Transformable VariableRoleAssigner Entity |

data Parameters

Constructors

Parameters |

Fields

inParametersVRA :: [String]
outParametersVRA :: [String]

isComposite :: Variable () -> Bool